Skip to content

Update Counterparty

Request

This endpoint is used to update a counterparty. For example, you can use it to unlink a counterparty that is no longer needed, or to set or change its display_name.

The request body takes an UpdateCounterpartyRequest object. On success, it returns the updated counterparty object.

Security
CodeBearer(Required scopes: customer.write)
Path
counterparty_idstring, (uuid)(Counterparty Id)required
Bodyapplication/jsonrequired
statusstring or null(Status)
Any of:
string(UNLINKED)
display_namestring or null(Display Name)
Any of:

An optional custom display name for the counterparty, useful for distinguishing multiple counterparties that share the same legal name.

[ 1 .. 200 ] characters
string
curl -i -X PATCH \
  'https://api.business.jiko.io/api/v2/counterparties/{counterparty_id}/' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "status": "UNLINKED",
    "display_name": "string"
  }'

Responses

Successful Response

Bodyapplication/json
any
Response
// No response example